---
layout: docs
page_title: 'Commands: namespace list'
description: |
  The namespace list command is used to list namespaces.
---

# Command: namespace list

The `namespace list` command is used list available namespaces.

<Tip>
  Visit the <a href="https://developer.hashicorp.com/nomad/tutorials/manage-clusters/namespaces">
    Nomad Namespaces tutorial
  </a> for more information.
</Tip>

## Usage

```plaintext
nomad namespace list [options]
```

The `namespace list` command requires no arguments.

If ACLs are enabled, this command requires a management ACL token to view all
namespaces. A non-management token can be used to list namespaces for which it
has an associated capability.

## General Options

@include 'general_options_no_namespace.mdx'

## List Options

- `-json` : Output the namespaces in their JSON format.

- `-t` : Format and display the namespaces using a Go template.

## Examples

List all namespaces:

```shell-session
$ nomad namespace list
Name      Description
default   Default shared namespace
api-prod  Production instances of backend API servers
api-qa    QA instances of backend API servers
web-prod  Production instances of webservers
web-qa    QA instances of webservers
```
